Create conversation rating offer

POST
/beta/conversations/{conversationId}/ratings/offer

Create a rating offer for a specific conversation.

Authorization

ApiKeyAuth conversation.satisfaction
headerAuthorization<token>

Scope: conversation.satisfaction

Path Parameters

conversationId*integer
Formatint64

Request Body

The rating offer to be created for a conversation

application/json
  1. body
userId?string

If userId is not provided, the conversation requester will be picked.

agentId?string

If an agentId is not provided, the agent that is most likely to be the target will be picked. Please note that providing an agentId that is not part of the conversation may skew metrics in Intelligence.

ratingType*string

The type of numeric rating. E.g.: 'Csat', 'ThumbsUpOrDown', 'Nps'.

offeredAt?string
Formatdate-time

Response Body

The created conversation rating offer

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/beta/conversations/{conversationId}/ratings/offer' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "userId": "b0323b42-c428-4afa-970e-20bf5bdeeec4",  "agentId": "eeb3bbe5-0355-4ac1-8af5-20d42a3db24b",  "ratingType": "Csat",  "offeredAt": "2024-03-11T16:39:30Z"}'
{
"data": {
"id": "2f0122db-0824-44d7-b39a-e1f722b8c38c",
"userId": "7a65c963-b3ca-4bd4-996e-bdbcaa620219",
"agentId": "db7f0b41-b779-4726-a673-07b2a59a550d",
"ratingType": "Csat",
"offeredAt": "2024-03-11T16:39:30Z"
}
}